# norootforbuild

%define peardir %(pear config-get php_dir 2> /dev/null)
%define xmldir  %{_var}/lib/pear

Name:				php5-pear-text_captcha
Version:			0.3.1
Release:			1.3
Summary:			Generation of CAPTCHAs
License:			PHP License
Group:			Productivity/Networking/Web/Servers
Url:				http://pear.php.net/package/Text_CAPTCHA
Source0:			http://pear.php.net/get/Text_CAPTCHA-%{version}.tgz
BuildArch:		noarch
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
Packager:		Marcus Hüwe <suse-tux@gmx.de>

PreReq:			php5-pear
Requires:		php5-pear-text_password, php5-pear-text_figlet
Requires:		php5-pear-numbers_words, php5-pear-image_text
Requires:		php5-gd
BuildRequires:	php5-pear

%description
Implementation of CAPTCHAs (completely automated public Turing
test to tell computers and humans apart).

Author:
-------
	Christian Wenz


%prep
%setup -c -T
pear -v -c pearrc \
		  -d php_dir=%{peardir} \
		  -d doc_dir=/docs \
   	  -d bin_dir=%{_bindir} \
		  -d data_dir=%{peardir}/data \
		  -d test_dir=%{peardir}/tests \
		  -d ext_dir=%{_libdir} \
		  -s

%build
%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
%__rm -rf %{buildroot}/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}
%__mv %{buildroot}/docs .

# Install XML package description
%__mkdir_p %{buildroot}%{xmldir}
%__tar -xzf %{SOURCE0} package.xml
%__cp package.xml %{buildroot}%{xmldir}/Text_CAPTCHA.xml

%clean
%__rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Text_CAPTCHA.xml

%postun
if [ "$1" -eq "0" ]; then
	pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Text_CAPTCHA
fi

%files
%defattr(-, root, root)
%doc docs/Text_CAPTCHA
%dir %{peardir}/Text
%dir %{peardir}/Text/CAPTCHA
%dir %{peardir}/Text/CAPTCHA/Driver
%{peardir}/Text/CAPTCHA.php
%{peardir}/Text/CAPTCHA/Driver/*.php
%{_var}/lib/pear/Text_CAPTCHA.xml

%changelog
* Wed Oct 24 2007 Marcus Hüwe <suse-tux@gmx.de>
- initial build
